<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="AlarmIndicationLbl"
	description="При нажатии пользователем, посылает всем true, при отжатии false"
	fileName="NPCAlarmIndicationLbl.jar" className="org.mati.npc.faces.alarmindicationlbl.NPCAlarmIndicationLbl"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="In"
		description="Входящая связь со всех созможных сенсоров или эффекторов, допускает управление лейблом от другого компонента. Управляющий сигнал передается по всем исходящим связям если он не дублирует текущее состояние"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InUniversal"
		description="Входящая связь допускает управление от другого компонента, либо получение текущего состояния. Управляющий сигнал передается по всем исходящим связям если он не дублирует текущее состояние."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="State" description="Состояние" type="java.lang.Boolean"
		nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="SoundTrue" description="Проигрывать сирену по true"
		type="java.lang.Boolean" nullable="false" defaultValue="true">
	</Attribute>
	<Attribute name="SoundFalse" description="Проигрывать сирену по false"
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="TextOff" description="Содержимое текста лейбла при false"
		defaultValue="Не нажата"
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="TextOn" description="Содержимое текста лейбла при true"
		defaultValue="Нажата"
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="TextColorOff" description="Цвет текста при false (RGB)"
		defaultValue="0"
		type="java.awt.Color" nullable="true">
	</Attribute>
	<Attribute name="TextColorOn" description="Цвет текста при true (RGB)"
		defaultValue="0"
		type="java.awt.Color" nullable="true">
	</Attribute>
	<Attribute name="BackgroundColorOff" description="Цвет фона при false (RGB)"
		defaltValue="16777215"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="BackgroundColorOn" description="Цвет фона при true (RGB)"
		defaultValue="8966117"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="AlignMessage"
		description="Выравнивание текста сообщения (1-по центру, 2-по левому краю, 3-по правому краю; остальные значения игнорируются)"
		defaltValue="1"
		nullable="true" type="java.lang.Integer">
	</Attribute>
	<Attribute name="FontName"
		description="Имя шрифта. Название шрифта. Доступные шрифты: Arial, Arial Black, Arial Narrow, Arial Unicode MS, Batang, Bitstream Vera Sans, Bitstream Vera Sans Mono, Bitstream Vera Serif, Book Antiqua, Bookman Old Style, Century, Century Gothic, Comic Sans MS, Courier New, Dialog, DialogInput, Estrangelo Edessa, Franklin Gothic Medium, Garamond, Gautami, Georgia, Haettenschweiler, Impact, Kartika, Latha, Lucida Console, Lucida Sans, Lucida Sans Unicode, Mangal, Marlett, Microsoft Sans Serif, Monospaced, Monotype Corsiva, MS Mincho, MS Outlook, MT Extra, MV Boli, OpenSymbol, Palatino Linotype, Raavi, SansSerif, Serif, Shruti, SimSun, Sylfaen, Symbol, Tahoma, Times New Roman, Trebuchet MS, Tunga, Verdana, Vrinda, Webdings, Wingdings, Wingdings , Wingdings 3."
		defaltValue="Arial"
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="FontSize" description="Размер шрифта" type="java.lang.Integer"
		defaltValue="22"
		nullable="true">
	</Attribute>
	<Attribute name="FontStyle"
		description="Стиль шрифта сообщения (1 - обычный, 2 - жирный, 3 - курсивный, 4 - жирный и курсивный; остальные значения игнорируются)"
		defaltValue="1"
		type="java.lang.Integer" nullable="true">
	</Attribute>
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaltValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaltValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaltValue="200"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaltValue="200"
		nullable="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>